GtkPlotCanvasPlot
3
GTKEXTRA Library

# GtkPlotCanvasPlot

## Synopsis

    #include <gtkextra.h>

                        GtkPlotCanvasPlot;
    enum                GtkPlotCanvasPlotPos;
    GtkPlotCanvasChild * gtk_plot_canvas_plot_new           (GtkPlot *plot);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkPlotCanvasChild
                         +----GtkPlotCanvasPlot

## Description

FIXME:: need long description

## Details

### GtkPlotCanvasPlot

    typedef struct _GtkPlotCanvasPlot GtkPlotCanvasPlot;

The GtkPlotBar struct contains only private data. It should only be accessed through the functions described below.

### enum GtkPlotCanvasPlotPos

    typedef enum
    {
      GTK_PLOT_CANVAS_PLOT_OUT,
      GTK_PLOT_CANVAS_PLOT_IN_PLOT,
      GTK_PLOT_CANVAS_PLOT_IN_LEGENDS,
      GTK_PLOT_CANVAS_PLOT_IN_TITLE,
      GTK_PLOT_CANVAS_PLOT_IN_AXIS,
      GTK_PLOT_CANVAS_PLOT_IN_DATA,
      GTK_PLOT_CANVAS_PLOT_IN_GRADIENT,
      GTK_PLOT_CANVAS_PLOT_IN_MARKER,
    } GtkPlotCanvasPlotPos;

### gtk_plot_canvas_plot_new ()

    GtkPlotCanvasChild * gtk_plot_canvas_plot_new           (GtkPlot *plot);

`plot` :

  a GtkPlot.

Returns :